/***************************************************
* C source with CCS
*  File Name: 20150816_K412_MK325_322.c
*  Rev: 1.0
 * rev: 2.0 support MK142C and MK107C with RA2, change freq
*  Description: check sensor out and doubled it then output
*  PIN A0 out, active high
*  PIN A1 AD read pot,
*  PIN A2 low active pulse out for MK142C and 107C, 20151011
*  COPYRIGHT 2015 MYCOMKITS.COM, owned by CNET LIMITED
*  $BEv%W%m%0%i%`$NCx:n8"$O!"@=:n<T!V%^%$%3%s%-%C%H%I%C%H%3%`1?1D!!M-8B2q<R%/%M%C%H!W$K5"B0$7$^$9!#(B
*  $BCx:n8"$rJ|4~$7$F$$$^$;$s$,!"Ev%W%m%0%i%`$r;H$C$?3X=,$NCf$G%W%m%0%i%`$r<+M3$KJQ99$7$F$*;H$$$/$@$5$$!#(B
**************************************************
*/
// include headre file
#include	<10f322.h>
#DEVICE ADC=8
// settings
#fuses	INTRC, PUT, NOLVP, NOBROWNOUT, NOWDT, NOPROTECT, NOMCLR, NODEBUG
#use delay(CLOCK = 4000000)
// variables
int value_setting = 0;  // 0 to 256
// prototyping
#separate
void get_setting();
#separate
void initializing();
// main
void main()
{
    initializing();	//
    // main loop
    while(1)
    {
        output_high(PIN_A0);
        delay_ms(500);
        output_low(PIN_A0);
        output_low(PIN_A2);
        delay_ms(500);
        output_high(PIN_A2);
        //
        get_setting();
        if(value_setting < 5)  value_setting = 5;
        int i;
        for(i=0; i<value_setting; i++)  // 5 to 255, 500ms to 30sec
        {
            delay_ms(120);
        }
        //
    }
}
//
#separate
void initializing()
{
    set_tris_a(0x0A);	//B0 output, B1, 3 input
    //
    output_low(PIN_A0);	//play off
    output_high(PIN_A2);	//play off
    // A/D converter initialize AN1 and AN2
    setup_adc_ports(sAN1);	// gnd to 5v
    setup_adc(ADC_CLOCK_DIV_2);			// 2usec
    //
    delay_ms(100);
}
//
#separate
void get_setting()
{
    set_adc_channel(1);	//must wait 65u
    delay_us(100);
    value_setting=read_adc();	// 0 to 1024, 0V to 5V
}

